local addonName, addonTable = ...

--Globals
local select = _G.select
local pairs = _G.pairs
local format = _G.format
local GetSpecialization = _G.GetSpecialization
local GetSpecializationInfo = _G.GetSpecializationInfo
local GetNumSpecializations = _G.GetNumSpecializations
local CreateFrame = _G.CreateFrame
local EasyMenu = _G.EasyMenu

--Libraries
local ldb = _G.LibStub:GetLibrary("LibDataBroker-1.1")
local E, L = addonTable.E, addonTable.L

local selectionWindow
local menuFrame = CreateFrame("Frame", "MultiSpecDataBrokerMenu", E.UIParent, "UIDropDownMenuTemplate")
local setList = {
	{ text = L["Equipment set"], isTitle = true, notCheckable = true },
}

E.databroker = {}

local function showSelectionWindow()
    E:gatherEquipmentSets()
    local i = 1
    for k, v in pairs(E.equipmentSets) do
        i = i + 1
        if not setList[i] then
            setList[i] = {}
        end
        local icon = select(4,GetSpecializationInfo(v.specialization));
        setList[i].text = format("|T%s:14:14:0:0:64:64:4:60:4:60|t  %s", icon or '134400', k)
        setList[i].func = function()
            E:changeTalentsAndEquipSet(k)
        end
        setList[i].notCheckable = true
    end
    for j=i+1, #setList do
        setList[j].text = nil
        setList[j].notCheckable = true
    end
    EasyMenu(setList, menuFrame, "cursor", -15, -7, "MENU", 2)
end


-- dataobject must exist at load
local dataobject = ldb:NewDataObject("MultiSpec", {
    type = "launcher",
    label = "MultiSpec",
    OnClick = function(clickedframe, button)
        --E.config:showStandaloneOptions()
        showSelectionWindow()
    end,
})

function E.databroker:init()
end
